Endpoints
Get Audience Counts
Get the latest follower or subscriber count for every connected account in one Mallary profile.
GET
/
api
/
v1
/
audience
Get current audience counts
curl --request GET \
--url https://mallary.ai/api/v1/audience \
--header 'Authorization: Bearer <token>'import requests
url = "https://mallary.ai/api/v1/audience"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mallary.ai/api/v1/audience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mallary.ai/api/v1/audience",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mallary.ai/api/v1/audience"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mallary.ai/api/v1/audience")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mallary.ai/api/v1/audience")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"data": {
"profile_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"audience": [
{
"platform": "x",
"label": "<string>",
"account": {
"id": "<string>",
"username": "<string>",
"avatar_url": "<string>"
},
"metric": "followers",
"count": 1,
"status": "available",
"status_message": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_update_at": "2023-11-07T05:31:56Z"
}
]
}
}Mallary updates supported audience counts once every 24 hours.
Use
profile_id for a non-default profile. Omit it to use the default profile.
The response includes every connected account. count is the latest saved number when Mallary can collect it.
- YouTube returns
subscribers. - Facebook Pages, Instagram, Threads, TikTok, X, Pinterest, and Bluesky return
followers. Facebook may returnpage_likeswhen that is the only count the Page gives Mallary. - TikTok follower counts become available after a connection grants
user.info.statsand Mallary saves its first count. Existing connections without that permission returnpermission_requiredfor their audience count. They keep working as before. - LinkedIn returns
permission_requireduntil Mallary adds the permission it needs. - Other platforms may return
unsupportedwhen they do not provide an account audience count.
data.audience, alongside post metrics.Query Parameters
Last modified on September 23, 2026
Was this page helpful?
Get current audience counts
curl --request GET \
--url https://mallary.ai/api/v1/audience \
--header 'Authorization: Bearer <token>'import requests
url = "https://mallary.ai/api/v1/audience"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mallary.ai/api/v1/audience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mallary.ai/api/v1/audience",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mallary.ai/api/v1/audience"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mallary.ai/api/v1/audience")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mallary.ai/api/v1/audience")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"data": {
"profile_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"audience": [
{
"platform": "x",
"label": "<string>",
"account": {
"id": "<string>",
"username": "<string>",
"avatar_url": "<string>"
},
"metric": "followers",
"count": 1,
"status": "available",
"status_message": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_update_at": "2023-11-07T05:31:56Z"
}
]
}
}
